Subject: RE: [mobile-ip] MIPv6 draft 19 and Einstein

From: "Greg O'Shea" <[email-masked]>
Date: Tue, 24 Dec 2002 14:05:55 -0000

>When a mobile node is on its home network, it does not need 
>the services of a home agent.
>> If a physical home is required, then it is afforded by a foreign
>> network to which the HA is directly attached.

The latest drafts say that the HA is implemented in a router and I agree
that if you take the routers off the home network then a terrible loss
of functionality results. Otherwise I'm not sure what functionality is
lost - remember that the HA must be there in order to support reverse
tunnels from the MN these days. If the HA is dead than a CN can only get
a packet to the MN after RR has completed, RR but cannot complete unless
packets can be routed via the HA.

Greg
>-----Original Message-----
>From: Charlie Perkins [mailto:[email-masked]] 
>Sent: 23 December 2002 15:28
>To: Greg O'Shea
>Cc: Mobile IPv6 mailling list
>Subject: Re: [mobile-ip] MIPv6 draft 19 and Einstein
>
>
>
>When a mobile node is on its home network, it does not need 
>the services of a home agent.  If it cannot be on its home 
>network, then it requires always a home agent, no matter what. 
> This would be a terrible loss of functionality.  Such a 
>restriction is not a new idea -- in fact, the same idea has 
>been floated more than once even from the very beginning of 
>the mobile-ip working group.  At this point, since the home 
>agent function and the home network function has been built 
>and tested a lot of times, it seems to be a big step backwards.
>
>Regards,
>Charlie P.
>
>
>Greg O'Shea wrote:
>
>> "Things should be as simple as they can be, but no simpler." Albert
>> Einstein.
>>
>> Looking towards implementing the provisions of 11.5.4 of 
>draft 19 of a
>> 148-page draft I could not help but recoil from the ugliness and 
>> complexity resulting from "special case" hacks to otherwise 
>stable and 
>> generic mechanisms such as DAD and NS. I have a suggestion 
>that would 
>> go some way towards this. I hope it is not too radical for this time 
>> of year. Thoughts welcome!
>>
>> It seems to me that MIPv6 a significant simplification could be made
>> to the existing spec and implementations thereof, by requiring that 
>> home networks are "virtual" networks to which nothing except Home 
>> Agent(s) is ever directly attached. Networks are cheap in IPv6, so 
>> this is not wasteful. For example a home network could be a virtual 
>> interface inside a HA or in interface card to which no cable is 
>> attached. The only sense in which a mobile can use the home 
>network is 
>> through binding updates to the Home Agent, so admission control is a 
>> "free" function of IPSec between HA and MN. Address collision on the 
>> Home Network can no longer occur, the HA no longer has to 
>provide DAD 
>> or proxy or NC flushing on home addresses, and the  hacks of 
>existing 
>> NA and NA required for when a MN return to its home can can all go.
>>
>> If a physical home is required, then it is afforded by a foreign
>> network to which the HA is directly attached.
>>
>> My initial thoughts are that nothing need be added to the existing
>> draft to obtain this simplification. On the other hand, based on a 
>> first reading, here is a list of MIPv6 provisions that I think could 
>> be removed:
>>
>> * D bit processing by HA [6.1.7]
>> * L bit processing by HA [6.1.7]
>> * BA code 134 (DAD fail) [6.1.8]
>> * MN protection of LLA derived from HoA [7.7]
>> * HA performing DAD on Home Registration [10.3.1]
>> * mods to std NS for HA DAD on HoA [10.3.1]
>> * delay between BU and BA while HA completes DAD [10.3.1]
>> * HA defence of HoA and associated LLA [10.3.1]
>> * specific requirements re L2 address for dereg on home net [10.3.2]
>> * NA by HA to downdate onlink CN NCEs for home reg [10.4.1]
>> * retransmission of NA by HA on home net [10.4.1]
>> * HA acting as proxy for MN on home net [10.4.1]
>> * specific HA requirements for HA response to NA while 
>acting as proxy
>> [10.4.1]
>> * specific handling of packets by HA sent to MNs LLA [10.4.2]
>> * special case hack of standard NS spec & implementations on 
>MN [11.5.4]
>> * special case do / not do DAD on HoA by MN [11.5.4]
>> * special case NS between MN and HA [11.5.4]
>> * temporary supress NS/NA while await Home dereag  by MN [11.5.4]
>> * special case downdate onlink CN NCEs on home net by MN [11.5.4]
>> * rexmit of downdate onlink CN NCEs on home net by MN [11.5.4]
>> * L bit processing by MN
>> * D bit processing by MN
>> * concerns re stealing of HoA by some other node on home net [11.7.1]
>>  
>>
>
>
>

---

From: Charlie Perkins <[email-masked]>
Date: Tue, 24 Dec 2002 08:13:58 -0800

Hello Greg,

If a mobile node is on its home network, then reverse tunneling is
not required.  If the default router on the home network is not
allowed to be the home agent, then people have to buy more
equipment.  If the default router is allowed to be the home agent,
then the existing specification is required, it seems.  We do have
the needed specification to enable this, and I think it makes good
sense to keep it.

 From your note, I surmised that you proposed that mobile nodes
could not be attached to the home network.  That would have the
bad result I wanted to avoid.

Regards,
Charlie P.